Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.data
Class MemoryProxy

    java.lang.Object
      com.gwtext.client.core.JsObject
          com.gwtext.client.data.DataProxy
              com.gwtext.client.data.MemoryProxy

    public class MemoryProxy

extends DataProxy

An implementation of DataProxy that simply passes the data specified in its constructor to the Reader when its load method is called.

     Object[][] states = new Object[][]{
                   new Object[]{"AL", "Alabama"},
                   new Object[]{"AK", "Alaska"},
                   new Object[]{"AZ", "Arizona"},
                   new Object[]{"AR", "Arkansas"},
                   new Object[]{"CA", "California"}};

     Reader reader = new ArrayReader(new RecordDef(
                    new FieldDef[]{
                           new StringFieldDef("abbr"),
                           new StringFieldDef("state")
                   }));

     Store store = new Store(proxy, reader);

Field Summary

Fields inherited from class com.gwtext.client.core.JsObject
`jsObj`

Constructor Summary
`MemoryProxy(java.lang.Object[][] data)` Create s new memory proxy using the passed array data.

Method Summary
`protected com.google.gwt.core.client.JavaScriptObject` | `create(com.google.gwt.core.client.JavaScriptObject data)`

Methods inherited from class com.gwtext.client.core.JsObject
`getJsObj, getProperties, isCreated, setJsObj`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MemoryProxy

    public MemoryProxy(java.lang.Object[][] data)

  Create s new memory proxy using the passed array data.

  Parameters:
    `data` - the array data

Method Detail

### create

    protected com.google.gwt.core.client.JavaScriptObject create(com.google.gwt.core.client.JavaScriptObject data)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD